import request from '@/utils/request'

// 查询区域类型：area_type列表
export function listAreaType(query) {
  return request({
    url: '/type/areaType/list',
    method: 'get',
    params: query
  })
}

// 查询区域类型：area_type详细
export function getAreaType(typeId) {
  return request({
    url: '/type/areaType/' + typeId,
    method: 'get'
  })
}

// 新增区域类型：area_type
export function addAreaType(data) {
  return request({
    url: '/type/areaType',
    method: 'post',
    data: data
  })
}

// 修改区域类型：area_type
export function updateAreaType(data) {
  return request({
    url: '/type/areaType',
    method: 'put',
    data: data
  })
}

// 删除区域类型：area_type
export function delAreaType(typeId) {
  return request({
    url: '/type/areaType/' + typeId,
    method: 'delete'
  })
}

// 导出区域类型：area_type
export function exportAreaType(query) {
  return request({
    url: '/type/areaType/export',
    method: 'get',
    params: query
  })
}
